// Compiled by ClojureScript 1.9.562 {}
goog.provide('cljs.nodejs');
goog.require('cljs.core');
cljs.nodejs.require = require;
cljs.nodejs.process = process;
cljs.nodejs.enable_util_print_BANG_ = (function cljs$nodejs$enable_util_print_BANG_(){
cljs.core._STAR_print_newline_STAR_ = false;

cljs.core._STAR_print_fn_STAR_ = (function() { 
var G__34641__delegate = function (args){
return console.log.apply(console,cljs.core.into_array.call(null,args));
};
var G__34641 = function (var_args){
var args = null;
if (arguments.length > 0) {
var G__34642__i = 0, G__34642__a = new Array(arguments.length -  0);
while (G__34642__i < G__34642__a.length) {G__34642__a[G__34642__i] = arguments[G__34642__i + 0]; ++G__34642__i;}
  args = new cljs.core.IndexedSeq(G__34642__a,0,null);
} 
return G__34641__delegate.call(this,args);};
G__34641.cljs$lang$maxFixedArity = 0;
G__34641.cljs$lang$applyTo = (function (arglist__34643){
var args = cljs.core.seq(arglist__34643);
return G__34641__delegate(args);
});
G__34641.cljs$core$IFn$_invoke$arity$variadic = G__34641__delegate;
return G__34641;
})()
;

cljs.core._STAR_print_err_fn_STAR_ = (function() { 
var G__34644__delegate = function (args){
return console.error.apply(console,cljs.core.into_array.call(null,args));
};
var G__34644 = function (var_args){
var args = null;
if (arguments.length > 0) {
var G__34645__i = 0, G__34645__a = new Array(arguments.length -  0);
while (G__34645__i < G__34645__a.length) {G__34645__a[G__34645__i] = arguments[G__34645__i + 0]; ++G__34645__i;}
  args = new cljs.core.IndexedSeq(G__34645__a,0,null);
} 
return G__34644__delegate.call(this,args);};
G__34644.cljs$lang$maxFixedArity = 0;
G__34644.cljs$lang$applyTo = (function (arglist__34646){
var args = cljs.core.seq(arglist__34646);
return G__34644__delegate(args);
});
G__34644.cljs$core$IFn$_invoke$arity$variadic = G__34644__delegate;
return G__34644;
})()
;

return null;
});
